<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="detail_fichier_prelevement_sepa_sub"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="521"
		 pageHeight="842"
		 columnWidth="521"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />


	<field name="Amt" class="java.lang.String">
		<fieldDescription><![CDATA[InstdAmt]]></fieldDescription>
	</field>
	<field name="DbtrBIC" class="java.lang.String">
		<fieldDescription><![CDATA[DbtrAgt/FinInstnId/BIC]]></fieldDescription>
	</field>
	<field name="DbtrNm" class="java.lang.String">
		<fieldDescription><![CDATA[Dbtr/Nm]]></fieldDescription>
	</field>
	<field name="DbtrIban" class="java.lang.String">
		<fieldDescription><![CDATA[DbtrAcct/Id/IBAN]]></fieldDescription>
	</field>
	<field name="RmtInf" class="java.lang.String">
		<fieldDescription><![CDATA[RmtInf/Ustrd]]></fieldDescription>
	</field>
	<field name="EndToEndId" class="java.lang.String">
		<fieldDescription><![CDATA[PmtId/EndToEndId]]></fieldDescription>
	</field>

		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="42"  isSplitAllowed="false" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="300"
						y="3"
						width="100"
						height="18"
						key="textField"/>
					<box leftPadding="2" rightPadding="2" topPadding="1" bottomPadding="1"></box>
					<textElement verticalAlignment="Middle">
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{DbtrBIC}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="300"
						y="21"
						width="218"
						height="18"
						key="textField"/>
					<box leftPadding="2" rightPadding="2" topPadding="1" bottomPadding="1"></box>
					<textElement verticalAlignment="Middle">
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{DbtrIban}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="1"
						y="16"
						width="294"
						height="18"
						key="textField"
						stretchType="RelativeToTallestObject"/>
					<box leftPadding="2" rightPadding="2" topPadding="1" bottomPadding="1"></box>
					<textElement verticalAlignment="Middle">
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{DbtrNm} + " / " + $F{RmtInf}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="419"
						y="3"
						width="100"
						height="18"
						key="textField"/>
					<box leftPadding="2" rightPadding="2" topPadding="1" bottomPadding="1"></box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[new BigDecimal($F{Amt})]]></textFieldExpression>
				</textField>
				<line direction="TopDown">
					<reportElement
						x="0"
						y="41"
						width="521"
						height="0"
						key="line-1"
						positionType="FixRelativeToBottom"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="1"
						y="2"
						width="294"
						height="12"
						key="textField-1"/>
					<box leftPadding="2" rightPadding="2" topPadding="1" bottomPadding="1"></box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{EndToEndId}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
